org.apache.sysds.common

## Enum Types.OpOp4

- java.lang.Object
- - java.lang.Enum<Types.OpOp4>
  - - org.apache.sysds.common.Types.OpOp4

- All Implemented Interfaces:
    Serializable, Comparable<Types.OpOp4>
  Enclosing class:
    Types

      public static enum Types.OpOp4
      extends Enum<Types.OpOp4>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `WCEMM`
    `WDIVMM`
    `WSIGMOID`
    `WSLOSS`
    `WUMM`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static Types.OpOp4` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Types.OpOp4[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WSLOSS

          public static final Types.OpOp4 WSLOSS

    - #### WSIGMOID

          public static final Types.OpOp4 WSIGMOID

    - #### WDIVMM

          public static final Types.OpOp4 WDIVMM

    - #### WCEMM

          public static final Types.OpOp4 WCEMM

    - #### WUMM

          public static final Types.OpOp4 WUMM

  - ### Method Detail

    - #### values

          public static Types.OpOp4[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Types.OpOp4 c : Types.OpOp4.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Types.OpOp4 valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Types.OpOp4>`

Copyright © 2020 The Apache Software Foundation. All rights reserved.